/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.examples;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter;
import com.fasterxml.jackson.databind.ser.impl.SimpleFilterProvider;

/**
 *
 * @author omozegieaziegbe
 */
public class DynamicFilterExample {

    public static void main(String[] args) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.setFilterProvider(new SimpleFilterProvider().addFilter(
                "dynamicFilter",
                SimpleBeanPropertyFilter.serializeAllExcept("price")
        ));

        Product product = new Product();
        product.setName("Laptop");
        product.setPrice(1200.50);

        String json = mapper.writeValueAsString(product);
        System.out.println(json);
    }
}
