/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.examples;

import com.fasterxml.jackson.databind.ObjectMapper;

/**
 *
 * @author omozegieaziegbe
 */
public class JacksonViewsExample {

    public static void main(String[] args) throws Exception {
        ObjectMapper mapper = new ObjectMapper();

        Product product = new Product();
        product.setName("Laptop");
        product.setPrice(1200.50);

        // Serialize with public view
        String publicJson = mapper.writerWithView(Views.Public.class).writeValueAsString(product);
        System.out.println("Public View: " + publicJson);

        // Serialize with admin view
        String adminJson = mapper.writerWithView(Views.Admin.class).writeValueAsString(product);
        System.out.println("Admin View: " + adminJson);
    }
}
